org.eclipse.graphiti.ui.internal.util

## Class DataTypeTransformation

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.util.DataTypeTransformation

    public class DataTypeTransformation
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DataTypeTransformation()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `syncToDraw2dPoint(Point pictogramsPoint, org.eclipse.draw2d.geometry.Point draw2dPoint)`
`static Font` `syncToSwtFont(Font pictogramFont, Font swtFont)` Checks if the given SWT `Font` defines the same font as the given Graphiti `Font`.
`static org.eclipse.draw2d.Bendpoint` `toDraw2dBendPoint(Point pictogramsPoint)`
`static int` `toDraw2dLineStyle(LineStyle lineStyle)`
`static org.eclipse.draw2d.geometry.Point` `toDraw2dPoint(Point pictogramsPoint)`
`static org.eclipse.draw2d.geometry.PointList` `toDraw2dPointList(java.util.Collection<Point> points)`
`static FontData` `toFontData(Font pictogramFont)`
`static Color` `toPictogramsColor(Color swtColor, Diagram diagram)`
`static Font` `toPictogramsFont(Diagram diagram, Font swtFont)`
`static Font` `toPictogramsFont(Diagram diagram, FontData fontData)`
`static Color` `toSwtColor(IResourceRegistry rr, Color pictogramsColor)`
`static Color` `toSwtColor(IResourceRegistry rr, IColorConstant color)`
`static Font` `toSwtFont(Font pictogramFont)` Returns a new SWT `Font` for the given Graphiti `Font`.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataTypeTransformation

    public DataTypeTransformation()

### Method Detail

#### toDraw2dPoint

    public static org.eclipse.draw2d.geometry.Point toDraw2dPoint(Point pictogramsPoint)

#### toDraw2dBendPoint

    public static org.eclipse.draw2d.Bendpoint toDraw2dBendPoint(Point pictogramsPoint)

#### syncToDraw2dPoint

    public static void syncToDraw2dPoint(Point pictogramsPoint,
                                         org.eclipse.draw2d.geometry.Point draw2dPoint)

#### toSwtColor

    public static Color toSwtColor(IResourceRegistry rr,
                                   Color pictogramsColor)

#### toSwtColor

    public static Color toSwtColor(IResourceRegistry rr,
                                   IColorConstant color)

#### toPictogramsColor

    public static Color toPictogramsColor(Color swtColor,
                                          Diagram diagram)

#### toDraw2dPointList

    public static org.eclipse.draw2d.geometry.PointList toDraw2dPointList(java.util.Collection<Point> points)

#### syncToSwtFont

    public static Font syncToSwtFont(Font pictogramFont,
                                     Font swtFont)

Checks if the given SWT `Font` defines the same font as the given Graphiti `Font`. If yes, the given SWT Font is simply returned, otherwise a new SWT Font is created using `toSwtFont(Font)`. In case the returned SWT Font is not - instance-wise - the same as the given one, users of this method are responsible for disposing the returned font again.

Parameters:
  `pictogramFont` -
  `swtFont` -
Returns:

#### toPictogramsFont

    public static Font toPictogramsFont(Diagram diagram,
                                        Font swtFont)

Parameters:
  `swtFont` -
Returns:

#### toPictogramsFont

    public static Font toPictogramsFont(Diagram diagram,
                                        FontData fontData)

Parameters:
  `fontData` -
Returns:

#### toSwtFont

    public static Font toSwtFont(Font pictogramFont)

Returns a new SWT `Font` for the given Graphiti `Font`. Users of this method are responsible for disposing the font again!

Parameters:
  `pictogramFont` -
Returns:

#### toFontData

    public static FontData toFontData(Font pictogramFont)

Parameters:
  `pictogramFont` -
Returns:

#### toDraw2dLineStyle

    public static int toDraw2dLineStyle(LineStyle lineStyle)